package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.MedicalRecordDTO;
import com.diagbot.dto.RecordContentDTO;
import com.diagbot.entity.MedicalRecord;
import com.diagbot.vo.RecordContentVO;
import com.diagbot.vo.RecordDataVO;
import com.diagbot.vo.RecordTypeVO;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface MedicalRecordMapper extends BaseMapper<MedicalRecord> {

    public List<RecordContentDTO> getRecordContent(RecordContentVO recordContentVO);
    public List<RecordContentDTO> getRecordData(RecordDataVO recordContentVO);

    public void updateBatchByKey(List<MedicalRecord> list);
    public int getRecordCount(RecordTypeVO recordContentVO);

    List<MedicalRecordDTO> getMedicalRecord(RecordTypeVO recordContentVO);
}
